
GammaLib - Feature #104

Refactor CTA response class

03/07/2012 11:56 AM - Knödlseder Jürgen

Status: Closed Start date: 07/20/2012

Priority: Normal Due date:  

Assigned To:  % Done: 43%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The CTA response class is so far a monolithic class that implements all aspects of the CTA response function (effective area, PSF,

energy dispersion). To enhance the maintainability and to allow an easy implementation of response evolution, this class should be

re-factored.

Re-factoring means:

introducing specific classes to handle effective area, PSF, energy dispersion

put integration classes into appropriate sub classes or modules

Note also that a lot of typecasting is performed within the GCTAResponse class. This is maybe not needed. Indeed, if the abstract

interface is well defined, no typecasting should be needed in general. The necessity of typecasting indicates that the abstract

interface is poorly defined. The interface should thus be redefined so that typecasting is reduced.

Subtasks:

Action # 606: Peform an extended scientific validation of the refactored response class. Closed

Action # 577: Extend GCaldb to fully support CTA response file access Closed

Action # 576: Introduce GCTABackground class Closed

Action # 350: Allow access of ASCII performance file through XML observations interface Rejected

Action # 574: Introduce GCTAPsf class Closed

Action # 573: Introduce GCTAAeff class. Closed

Action # 575: Introduce GCTAEdisp class Closed

Related issues:

Related to GammaLib - Action # 331: Factorise GCTAResponse Closed 02/28/2012

Related to GammaLib - Action # 349: Allow access of ASCII performance file th... Rejected 07/20/2012

History

#1 - 07/18/2012 08:39 AM - Knödlseder Jürgen

- Description updated

#2 - 07/18/2012 03:41 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 30

The refactorisation of the integration classes has been done by action #331.

What is missing is the refactorisation of the Aeff and PSF classes.

#3 - 07/20/2012 05:09 PM - Knödlseder Jürgen

- Target version set to Stage Jean-Baptiste Cayrou

#4 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)
#5 - 07/28/2012 12:54 AM - Knödlseder Jürgen

- Target version set to 00-06-00

#6 - 09/01/2012 03:49 AM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#7 - 10/16/2012 06:14 PM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#8 - 12/01/2012 02:34 AM - Knödlseder Jürgen

The refactoring of the effective area and point spread function classes is finished.

Testing is still needed.

#9 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#10 - 12/11/2013 10:18 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#11 - 07/11/2014 04:15 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#12 - 07/11/2014 05:09 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
